import Archiver from './Archiver';
import type { EmailArchiverOptions } from '../../interfaces/archiver.interface';
import type { Archive } from '@ewizardjs/system-settings';
export default class EmailsArchiver extends Archiver {
    #private;
    protected presentationPath: string;
    protected options: EmailArchiverOptions;
    constructor(presentationPath: string, options: EmailArchiverOptions);
    private getPathToThemesManifest;
    private getRequiredFiles;
    private collectRedundantThemesPatterns;
    private collectRedundantBlocksPatterns;
    private getModulesBlocksPatterns;
    private getPatternsForRedundantFiles;
    protected collectFilesToArchive(): Promise<string[]>;
    protected getFilePatterns(): Promise<string[]>;
    protected getMergedPatterns(archiveSettings: Archive): Promise<string[]>;
    protected getFilesList(): Promise<string[]>;
    protected getMonorepoPatterns(): Promise<string[]>;
}
